> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile School Interests

> Get the profile's school interests up to 50 results per page



## OpenAPI

````yaml /openapi/linkedin.openapi.json post /v1/data/linkedin/profiles/interests/schools
openapi: 3.0.0
info:
  title: agntdata LinkedIn API
  description: Enrich profile and company data in real-time
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Post
    description: ''
  - name: Article API
    description: ''
  - name: Location
    description: ''
  - name: System
    description: ''
  - name: Company
    description: ''
  - name: Profile APIs
    description: ''
  - name: Job APIs
    description: ''
paths:
  /v1/data/linkedin/profiles/interests/schools:
    post:
      tags:
        - Profile APIs
      summary: Get Profile School Interests
      description: Get the profile's school interests up to 50 results per page
      operationId: Get_Profile_School_Interests
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                username:
                  type: string
                page:
                  type: integer
            example:
              username: steven-bandrowczak-51866a4
              page: 1
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Post_linkedin_profiles_interests_schools_Response
              example:
                success: true
                message: ''
                data:
                  items:
                    - id: 11536
                      followerCount: 91001
                      name: Long Island University
                      url: https://www.linkedin.com/school/11536/
                      logo:
                        - url: >-
                            https://media.licdn.com/dms/image/v2/C4D0BAQHjEf9qzUGqkw/company-logo_200_200/company-logo_200_200/0/1630568551736/long_island_university_logo?e=1755129600&v=beta&t=CkH8thGs0z3Q4MAYW9EJq_xrcoxyYJivpO_VRmsQS1E
                          width: 200
                          height: 200
                        - url: >-
                            https://media.licdn.com/dms/image/v2/C4D0BAQHjEf9qzUGqkw/company-logo_100_100/company-logo_100_100/0/1630568551736/long_island_university_logo?e=1755129600&v=beta&t=bIOCxv2TzLaCXtlOZSBgXy-pfR4RBsyMA6w5TRcYCYA
                          width: 100
                          height: 100
                        - url: >-
                            https://media.licdn.com/dms/image/v2/C4D0BAQHjEf9qzUGqkw/company-logo_400_400/company-logo_400_400/0/1630568551736/long_island_university_logo?e=1755129600&v=beta&t=t05IU08MWVYf7ZVOp55sZbXoZjPLtmtTibjNxSZ7nFY
                          width: 400
                          height: 400
                    - id: 2624
                      followerCount: 704993
                      name: Columbia University
                      url: https://www.linkedin.com/school/2624/
                      logo:
                        - url: >-
                            https://media.licdn.com/dms/image/v2/C4E0BAQFxn78nvVaTDA/company-logo_200_200/company-logo_200_200/0/1630638452046/columbia_university_logo?e=1755129600&v=beta&t=f1fUjnQakjfofK2V0HWXQPpbllIZEEv4sECtX-Ij2j4
                          width: 200
                          height: 200
                        - url: >-
                            https://media.licdn.com/dms/image/v2/C4E0BAQFxn78nvVaTDA/company-logo_100_100/company-logo_100_100/0/1630638452046/columbia_university_logo?e=1755129600&v=beta&t=s1Be51KJmYzlidrXEeHeV_MLz128NEnEbjfg_M-I8Us
                          width: 100
                          height: 100
                        - url: >-
                            https://media.licdn.com/dms/image/v2/C4E0BAQFxn78nvVaTDA/company-logo_400_400/company-logo_400_400/0/1630638452046/columbia_university_logo?e=1755129600&v=beta&t=kP4FU5nmdlCP1THI6LAUHawS7-RovpnWEH7UPcd-Iq8
                          width: 400
                          height: 400
                    - id: 164299
                      followerCount: 287963
                      name: IESE Business School
                      url: https://www.linkedin.com/school/164299/
                      logo:
                        - url: >-
                            https://media.licdn.com/dms/image/v2/C4D0BAQFPGWYsxlqfHA/company-logo_200_200/company-logo_200_200/0/1630491311999/iese_business_school_logo?e=1755129600&v=beta&t=oZjb99XZAiduJyz6RMyBSXx1aaqwhB4Hur-R7dw66s8
                          width: 200
                          height: 200
                        - url: >-
                            https://media.licdn.com/dms/image/v2/C4D0BAQFPGWYsxlqfHA/company-logo_100_100/company-logo_100_100/0/1630491311999/iese_business_school_logo?e=1755129600&v=beta&t=MChShvVwmEsg1iz4egpHC4nf9MafEzg3E3qbu5-u3hg
                          width: 100
                          height: 100
                        - url: >-
                            https://media.licdn.com/dms/image/v2/C4D0BAQFPGWYsxlqfHA/company-logo_400_400/company-logo_400_400/0/1630491311999/iese_business_school_logo?e=1755129600&v=beta&t=5wzMpKpSeOGGD_0AqhIR834RJL3uB2lAR5t23wyjq74
                          width: 400
                          height: 400
                  total: 3
                  totalPages: 1
                  currentPage: 1
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Post_linkedin_profiles_interests_schools_Response:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            items:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: integer
                  followerCount:
                    type: integer
                  name:
                    type: string
                  url:
                    type: string
                  logo:
                    type: array
                    items:
                      type: object
                      properties:
                        url:
                          type: string
                        width:
                          type: integer
                        height:
                          type: integer
            total:
              type: integer
            totalPages:
              type: integer
            currentPage:
              type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````